Программа: Knusperleicht Shoutbox 4.4, возможно другие версии.

Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе. Уязвимость существует из-за недостаточной обработки входных данных в параметре "sb_include_path" в сценарии index.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

Пример:

http://victim/[path]/index.php?SB_INCLUDE_PATH=evilcode.txt?&cmd=id



Оставить мнение